const tableau_livraison = new Tabulator("#liste-livraison", {
    layout: "fitColumns",
    columns: [
        { title: "Date de livraison", field: "date", sorter: "date" },
        { title: "Produit", field: "produit" },
        { title: "Quantité commandée", field: "quantite" },
        { title: "Montant", field: "prix_achat", formatter: "money" },
        { title: "Montant total", field: "montant_total", formatter: "money" },
        { title: "Statut", field: "statut", formatter: "tickCross" },
    ],
    responsiveLayout: "hide",
    pagination: true,
    paginationSize: 10,
    ajaxURL: document.getElementById("liste-livraison").dataset.url,
})

document.getElementById("filtreMois").addEventListener("change", function() {
    const mois = this.value;
    if (mois) {
        tableau_livraison.setFilter("date", "like", mois);
    } else {
        tableau_livraison.clearFilter();
    }   
});